Bug 1488291 - [RFE] Content views should be searchable on the basis on 'label'
Summary: [RFE] Content views should be searchable on the basis on 'label'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-05 03:56 UTC by hprakash
Modified: 2019-11-05 23:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:28:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:30:00 UTC
Foreman Issue Tracker 20844 None None None 2017-09-05 04:15:24 UTC

Description hprakash 2017-09-05 03:56:37 UTC
Description of problem:
Below API endpoint-

/katello/api/v2/organizations/1/content_views?search=label=<cv_label> 

should return the results based on the matched content view label.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
$ curl -k -u admin:ranjan -X GET 'https://<satellite-fqdn>/katello/api/v2/organizations/<org-id>/content_views?search=label=<label-name>' -H 'content-type: application/json'

webUI also does not provide 'label' as a searchable attribute.
Actual results:
API call shows the below error-

{"displayMessage":"undefined method `composite?' for 27:Fixnum","errors":["undefined method `composite?' for 27:Fixnum"]}

Expected results:

content view search should match the provided label and results the matched content views

Additional info:

Comment 1 pm-sat@redhat.com 2017-09-22 20:04:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20844 has been resolved.

Comment 2 tstrych 2018-07-25 15:13:59 UTC
Verified with satellite 6.4 snap 13.

Used reproducer from OP, there was no traceback and the search was done as it was expected. 

Unfortunately, in hammer searching by label is still missing, in hammer you can search content view only by name or id. E.c Organization is searchable also by label .

Comment 4 errata-xmlrpc 2018-10-16 15:28:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.